Skip to content
Skip to main content
GET
/v3/grants/{grant_id}/events/{event_id}

Return an event

Returns the specified event.

NYLAS API KEYACCESS TOKEN

Parameters

Path parameters

grant_id*string

ID of the grant to access. You can also use the email address associated with the grant, or use /me/ to refer to the grant associated with an access token.

event_id*string

ID of the event to access. Nylas recommends you URL-encode this field, or you might receive a 404 error if the ID contains special characters (for example, #).

Query parameters

calendar_id*string

The calendar ID of the event.

For Microsoft, we do not validate whether the given calendar ID matches the real calendar ID of the event. This is due to a limitation of the Microsoft Graph API.

(Not supported for iCloud) You can use primary to query the user's primary calendar.

selectstring

Specify fields that you want Nylas to return, as a comma-separated list (for example, select=id,updated_at). This allows you to receive only the portion of object data that you're interested in. You can use select to optimize response size and reduce latency by limiting queries to only the information that you need.

tentative_as_busyboolean

(Microsoft and EWS only) When true, Nylas treats tentative events as busy.

Default: true

Responses

request_idstring

The request ID.

dataobject
GEThttps://api.us.nylas.com/v3/grants/leyah%40example.com/events/{event_id}?tentative_as_busy=true

Find your API key in the Nylas Dashboard under API Keys in your application settings.

grant_idrequiredstring

ID of the grant to access. You can also use the email address associated with the grant, or use /me/ to refer to the grant associated with an access token.

event_idrequiredstring

ID of the event to access. Nylas recommends you URL-encode this field, or you might receive a `404` error if the ID contains special characters (for example, #).

calendar_idrequiredstring

The calendar ID of the event. For Microsoft, we do not validate whether the given calendar ID matches the real calendar ID of the event. This is due to a limitation of the Microsoft Graph API. (Not supported for iCloud) You can use primary to query the user's primary calendar.

selectstring

Specify fields that you want Nylas to return, as a comma-separated list (for example, select=id,updated_at). This allows you to receive only the portion of object data that you're interested in. You can use select to optimize response size and reduce latency by limiting queries to only the information that you need.

tentative_as_busyboolean

(Microsoft and EWS only) When true, Nylas treats tentative events as busy.